Subject: Re: bug#65486: [PATCH] syscalls: Add support for musl libc

From: Ludovic Courtès <[email-masked]>
Date: Sun, 17 Sep 2023 12:17:33 +0200

Oooh, now I remember why I ended up not applying the previous
syscalls.scm patch: OpenJDK and a bunch of other things depend on it, so
changing syscalls.scm entails lots of rebuilds.  (Really, they shouldn’t
depend on it in the first place, IMO.)

So we need bordeaux.guix to build everything ahead of time.

To do that, can you resend both syscalls.scm patch (with ‘git
send-email’) here?  Then we’ll check qa.guix to ensure it builds things.

Chris, how does that sound?

Ludo’.